| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qx::dao::detail::QxSqlGenerator_Standard Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlGenerator_Standard : SQL generator to build standard SQL query More...

`#include <QxSqlGenerator_Standard.h>`

Inheritance diagram for qx::dao::detail::QxSqlGenerator_Standard:

List of all members.

## Public Member Functions
| QxSqlGenerator_Standard ()
virtual | ~QxSqlGenerator_Standard ()
virtual void | init ()
virtual QString | getAutoIncrement () const
virtual QString | getWildCard () const
virtual QString | getLimit (const QxSqlLimit *pLimit) const
virtual void | resolveLimit (QSqlQuery &query, const QxSqlLimit *pLimit) const
virtual void | postProcess (QString &sql, const QxSqlLimit *pLimit) const
virtual void | onBeforeInsert (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onAfterInsert (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onBeforeUpdate (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onAfterUpdate (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onBeforeDelete (IxDao_Helper *pDaoHelper, void *pOwner) const
virtual void | onAfterDelete (IxDao_Helper *pDaoHelper, void *pOwner) const

## Detailed Description

qx::dao::detail::QxSqlGenerator_Standard : SQL generator to build standard SQL query

Definition at line 58 of file QxSqlGenerator_Standard.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlGenerator_Standard::QxSqlGenerator_Standard | ( |  | ) |

virtual qx::dao::detail::QxSqlGenerator_Standard::~QxSqlGenerator_Standard | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlGenerator_Standard::getAutoIncrement | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_MySQL.

virtual QString qx::dao::detail::QxSqlGenerator_Standard::getLimit | ( | const QxSqlLimit * | pLimit | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

virtual QString qx::dao::detail::QxSqlGenerator_Standard::getWildCard | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

virtual void qx::dao::detail::QxSqlGenerator_Standard::init | ( |  | ) | `[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_MSSQLServer.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onAfterDelete | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onAfterInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_PostgreSQL.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onAfterUpdate | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onBeforeDelete | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onBeforeInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_PostgreSQL.

virtual void qx::dao::detail::QxSqlGenerator_Standard::onBeforeUpdate | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

virtual void qx::dao::detail::QxSqlGenerator_Standard::postProcess | ( | QString & | sql,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

virtual void qx::dao::detail::QxSqlGenerator_Standard::resolveLimit | ( | QSqlQuery & | query,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlGenerator.

Reimplemented in qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlGenerator/QxSqlGenerator_Standard.h